SDL_windowswindow.h File Reference
`#include "../../SDL_internal.h"`
Include dependency graph for SDL_windowswindow.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_WindowData

## Functions

int | WIN_CreateWindow (_THIS, SDL_Window *window)
int | WIN_CreateWindowFrom (_THIS, SDL_Window *window, const void *data)
void | WIN_SetWindowTitle (_THIS, SDL_Window *window)
void | WIN_SetWindowIcon (_THIS, SDL_Window *window, SDL_Surface *icon)
void | WIN_SetWindowPosition (_THIS, SDL_Window *window)
void | WIN_SetWindowSize (_THIS, SDL_Window *window)
int | WIN_GetWindowBordersSize (_THIS, SDL_Window *window, int *top, int *left, int *bottom, int *right)
int | WIN_SetWindowOpacity (_THIS, SDL_Window *window, float opacity)
void | WIN_ShowWindow (_THIS, SDL_Window *window)
void | WIN_HideWindow (_THIS, SDL_Window *window)
void | WIN_RaiseWindow (_THIS, SDL_Window *window)
void | WIN_MaximizeWindow (_THIS, SDL_Window *window)
void | WIN_MinimizeWindow (_THIS, SDL_Window *window)
void | WIN_RestoreWindow (_THIS, SDL_Window *window)
void | WIN_SetWindowBordered (_THIS, SDL_Window *window, SDL_bool bordered)
void | WIN_SetWindowResizable (_THIS, SDL_Window *window, SDL_bool resizable)
void | WIN_SetWindowFullscreen (_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)
int | WIN_SetWindowGammaRamp (_THIS, SDL_Window *window, const Uint16 *ramp)
int | WIN_GetWindowGammaRamp (_THIS, SDL_Window *window, Uint16 *ramp)
void | WIN_SetWindowGrab (_THIS, SDL_Window *window, SDL_bool grabbed)
void | WIN_DestroyWindow (_THIS, SDL_Window *window)
SDL_bool | WIN_GetWindowWMInfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
void | WIN_OnWindowEnter (_THIS, SDL_Window *window)
void | WIN_UpdateClipCursor (SDL_Window *window)
int | WIN_SetWindowHitTest (SDL_Window *window, SDL_bool enabled)
void | WIN_AcceptDragAndDrop (SDL_Window *window, SDL_bool accept)

## Function Documentation

## WIN_AcceptDragAndDrop()

void WIN_AcceptDragAndDrop | ( | SDL_Window * | window,
|  | SDL_bool | accept
| ) |  |

## WIN_CreateWindow()

int WIN_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## WIN_CreateWindowFrom()

int WIN_CreateWindowFrom | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const void * | data
| ) |  |

## WIN_DestroyWindow()

void WIN_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## WIN_GetWindowBordersSize()

int WIN_GetWindowBordersSize | ( | _THIS | ,
|  | SDL_Window * | window,
|  | int * | top,
|  | int * | left,
|  | int * | bottom,
|  | int * | right
| ) |  |

## WIN_GetWindowGammaRamp()

int WIN_GetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | Uint16 * | ramp
| ) |  |

## WIN_GetWindowWMInfo()

SDL_bool WIN_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

## WIN_HideWindow()

void WIN_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## WIN_MaximizeWindow()

void WIN_MaximizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## WIN_MinimizeWindow()

void WIN_MinimizeWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## WIN_OnWindowEnter()

void WIN_OnWindowEnter | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## WIN_RaiseWindow()

void WIN_RaiseWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## WIN_RestoreWindow()

void WIN_RestoreWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## WIN_SetWindowBordered()

void WIN_SetWindowBordered | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | bordered
| ) |  |

## WIN_SetWindowFullscreen()

void WIN_SetWindowFullscreen | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_VideoDisplay * | display,
|  | SDL_bool | fullscreen
| ) |  |

## WIN_SetWindowGammaRamp()

int WIN_SetWindowGammaRamp | ( | _THIS | ,
|  | SDL_Window * | window,
|  | const Uint16 * | ramp
| ) |  |

## WIN_SetWindowGrab()

void WIN_SetWindowGrab | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | grabbed
| ) |  |

## WIN_SetWindowHitTest()

int WIN_SetWindowHitTest | ( | SDL_Window * | window,
|  | SDL_bool | enabled
| ) |  |

## WIN_SetWindowIcon()

void WIN_SetWindowIcon | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_Surface * | icon
| ) |  |

## WIN_SetWindowOpacity()

int WIN_SetWindowOpacity | ( | _THIS | ,
|  | SDL_Window * | window,
|  | float | opacity
| ) |  |

## WIN_SetWindowPosition()

void WIN_SetWindowPosition | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## WIN_SetWindowResizable()

void WIN_SetWindowResizable | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_bool | resizable
| ) |  |

## WIN_SetWindowSize()

void WIN_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## WIN_SetWindowTitle()

void WIN_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## WIN_ShowWindow()

void WIN_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

## WIN_UpdateClipCursor()

void WIN_UpdateClipCursor | ( | SDL_Window * | window | ) |